import { r as registerInstance, h } from './index-d0047af2.js';

const ElementAudioEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.label = {
            name: 'Audio',
            labelAutoplay: 'Autoplay'
        };
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign(Object.assign({}, options), { label: this.label }));
    }
    render() {
        return [
            h("bce-switch", Object.assign({}, this.prop('autoplay'))),
            h("bce-upload", Object.assign({ accept: "audio/*" }, this.prop('location'))),
            h("slot", null)
        ];
    }
};

export { ElementAudioEditor as bce_element_audio_editor };
